/* ==========================================================================*/
/* - - - - - - - - - - - - -   W s p r . h   - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the wspr module                                    */
/*	Created   2011-04-23   M. Wheatley                                       */
/*	Modified  2011-04-23   MW                                                */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
#ifndef WSPR_H_
#define WSPR_H_
#include "common.h"

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

/*---------------------------------------------------------------------------*/
/*------------------> G L O B A L   D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/
#define WPSRCMD_BIT 1
#define WPSRCMD_SECOND 2

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void WsprInit( );

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern xQueueHandle xWsprCmdQueue;
extern uint32_t SymbCount;
extern int MinuteCounter;
extern BOOL Running;
extern BOOL TxError;
extern uint32_t TotalTransmissions;

#endif /*WSPR_H_*/
